Bug 17191 - Confirm message on deleting tag in OPAC
Summary: Confirm message on deleting tag in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-24 20:51 UTC by Aleisha Amohia
Modified: 2017-12-07 22:16 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17191: Confirm message on deleting tag in OPAC (1.82 KB, patch)
2016-08-24 20:53 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17191: Confirm message on deleting tag in OPAC (1.88 KB, patch)
2016-08-25 12:30 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17191: Confirm message on deleting tag in OPAC (2.02 KB, patch)
2016-08-25 21:32 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17191: Confirm message on deleting tag in OPAC (2.09 KB, patch)
2016-09-07 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-24 20:51:35 UTC
There is currently no confirm message before deleting a tag in OPAC, there should be.
Comment 1 Aleisha Amohia 2016-08-24 20:53:09 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-25 12:30:54 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2016-08-25 21:32:15 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-09-07 11:17:22 UTC
Created attachment 55296 [details] [review]
Bug 17191: Confirm message on deleting tag in OPAC

Edit: removing use of onclick

To test:
1) Log into OPAC, go to your tags
2) Click Delete
3) Confirm message should pop up
4) Ensure clicking Cancel works as expected, ensure clicking OK works as
expected

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-09-09 15:06:27 UTC
Pushed to master for 16.11, thanks Aleisha!